Doomsday Engine - Bug #1985

Linux: Doomsday halts startup until window looses focus.
2015-02-28 01:06 - toxicshadow

Status: Closed Start date: 2015-02-28
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Regression

Target version:

Description
| have seen this issue on both Ubuntu and Fedora. Only noticed it on recent builds.

When doomsday is launched a window will open with but instead of rendering the game graphics it renders a screenshot of the
desktop behind the window and then halts.

If | click anywhere outside of the doomsday window it springs into life and runs normally.
This is where it halts on the terminal output:

[toxicshadow@localhost bin]$ ./doomsday

libpng warning: iCCP: Not recognizing known sRGB profile that has been edited
libpng warning: iCCP: Not recognizing known sRGB profile that has been edited
libpng warning: iCCP: Not recognizing known sRGB profile that has been edited
libpng warning: iCCP: Not recognizing known sRGB profile that has been edited
libpng warning: iCCP: Not recognizing known sRGB profile that has been edited
Application path: /mnt/games/native_games/doomsday/bin/doomsday

Created a new 32.0 MB memory volume.

Config::read: modules/Config matches version [ 2, 0, 0, 1518 ]

Executable: Doomsday Engine 1.15.0 (Unstable 64-bit) Feb 27 2015 22:26:38
Command line options:

0: ./doomsday

RenderSystem: Loading shader definitions from read-only archive entry "renderer.pack/
shaders.dei"” [path "/data/net.dengine.client.pack/renderer.pack/

shaders.dei"] from archive in read-only "(basedir)/data/

net.dengine.client.pack”

A : Loading shader definitions from read-only archive entry "renderer.pack/
lensflares.pack/shaders.dei" [path "/data/net.dengine.client.pack/renderer.pack/
lensflares.pack/shaders.dei"] from archive in read-only "(basedir)/data/
net.dengine.client.pack”

Joystick_Init: Joystick name: Xbox 360 Wireless Receiver (XBOX)
loadAudioDriver: Loading of "fmod" failed

Failed initializing audio driver "FMOD"

OpenGL 3.3 supported

Sys_GLlInitialize: OpenGL information:

Version: 4.5.0 NVIDIA 346.35

Renderer: GeForce GTX 770/PCle/SSE2

Vendor: NVIDIA Corporation

Capabilities:

Compressed texture formats: 51

Use texture compression: no

Available texture units: 4

Maximum texture anisotropy: 16

Maximum texture size: 16384
Line width granularity: 0.125
Line width range: 0.5...10

A : OpenGL Extensions:

A AMD extensions:

multi_draw_indirect, seamless_cubemap_per_texture

A:  ARB extensions:

ES2_compatibility, ES3_1_compatibility, ES3_compatibility, arrays_of_arrays,
base_instance, bindless_texture, blend_func_extended, buffer_storage,
clear_buffer_obiject, clear_texture, clip_control, color_buffer_float,
compatibility, compressed_texture_pixel_storage, compute_shader,
compute_variable_group_size, conditional_render_inverted, conservative_depth,
copy_buffer, copy_image, cull_distance, debug_output, depth_buffer_float,
depth_clamp, depth_texture, derivative_control, direct_state_access,
draw_buffers, draw_buffers_blend, draw_elements_base vertex, draw_indirect,
draw_instanced, enhanced_layouts, explicit_attrib_location,
explicit_uniform_location, fragment_coord_conventions, fragment_layer_viewport,
fragment_program, fragment_program_shadow, fragment_shader,
framebuffer_no_attachments, framebuffer_object, framebuffer_sRGB,
geometry_shader4, get_program_binary, get_texture_sub_image, gpu_shader5,
gpu_shader_fp64, half_float_pixel, half_float_vertex, imaging,
indirect_parameters, instanced_arrays, internalformat_query,
internalformat_query2, invalidate_subdata, map_buffer_alignment,
map_buffer_range, multi_bind, multi_draw_indirect, multisample, multitexture,
occlusion_query, occlusion_query2, pipeline_statistics_query,
pixel_buffer_object, point_parameters, point_sprite, program_interface_query,
provoking_vertex, query_buffer_object, robust_buffer_access_behavior, robustness,
sample_shading, sampler_objects, seamless_cube_map, seamless_cubemap_per_texture,
separate_shader_objects, shader_atomic_counters, shader_bit_encoding,
shader_draw_parameters, shader_group_vote, shader_image_load_store,
shader_image_size, shader_objects, shader_precision,
shader_storage_buffer_object, shader_subroutine, shader_texture_image_samples,
shader_texture_lod, shading_language_100, shading_language_420pack,
shading_language_include, shading_language_packing, shadow, sparse_buffer,
sparse_texture, stencil_texturing, sync, tessellation_shader, texture_barrier,
texture_border_clamp, texture_buffer_object, texture_buffer_object_rgb32,
texture_buffer_range, texture_compression, texture_compression_bptc,
texture_compression_rgtc, texture_cube_map, texture_cube_map_array,
texture_env_add, texture_env_combine, texture_env_crossbar, texture_env_dot3,
texture_float, texture_gather, texture_mirror_clamp_to_edge,
texture_mirrored_repeat, texture_multisample, texture_non_power_of_two,
texture_query_levels, texture_query_lod, texture_rectangle, texture_rg,
texture_rgb10_a2ui, texture_stencil8, texture_storage,
texture_storage_multisample, texture_swizzle, texture_view, timer_query,
transform_feedback2, transform_feedback3, transform_feedback_instanced,
transform_feedback_overflow_query, transpose_matrix, uniform_buffer_object,
vertex_array_bgra, vertex_array_object, vertex_attrib_64bit,
vertex_attrib_binding, vertex_buffer_object, vertex_program, vertex_shader,
vertex_type_10f_11f_11f_rev, vertex_type_2 10_10_10_rev, viewport_array,
window_pos

A : ATl extensions:

draw_buffers, texture_float, texture_mirror_once

A ;. EXT extensions:

Cg_shader, abgr, bgra, bindable_uniform, blend_color, blend_equation_separate,
blend_func_separate, blend_minmax, blend_subtract, compiled_vertex_array,
depth_bounds_test, direct_state_access, draw_buffers2, draw_instanced,
draw_range_elements, fog_coord, framebuffer_blit, framebuffer_multisample,
framebuffer_multisample_blit_scaled, framebuffer_object, framebuffer_sRGB,
geometry_shader4, gpu_program_parameters, gpu_shader4, import_sync_object,
multi_draw_arrays, packed_depth_stencil, packed_float, packed_pixels,
pixel_buffer_object, point_parameters, polygon_offset_clamp, provoking_vertex,
rescale_normal, secondary_color, separate_shader_objects,
separate_specular_color, shader_image_load_store, shader_integer_mix,
shadow_funcs, stencil_two_side, stencil_wrap, texture3D, texture_array,
texture_buffer_object, texture_compression_dxt1, texture_compression_latc,
texture_compression_rgtc, texture_compression_s3tc, texture_cube_map,
texture_edge_clamp, texture_env_add, texture_env_combine, texture_env_dot3,
texture_filter_anisotropic, texture_integer, texture_lod, texture_lod_bias,
texture_mirror_clamp, texture_object, texture_sRGB, texture_sRGB_decode,
texture_shared_exponent, texture_storage, texture_swizzle, timer_query,
transform_feedback2, vertex_array, vertex_array_bgra, vertex_attrib_64bit,
x11_sync_object

A EXTX extensions:

framebuffer_mixed_formats

A :  IBM extensions:

rasterpos_clip, texture_mirrored_repeat

A KHR extensions:

2025-04-03 2/4




blend_equation_advanced, context_flush_control, debug,
robust_buffer_access_behavior, robustness

A KTX extensions:

buffer_region

A NV extensions:

ES1_1_compatibility, ES3_1_compatibility, bindless_multi_draw_indirect,
bindless_multi_draw_indirect_count, bindless_texture, blend_equation_advanced,
blend_square, compute_program5, conditional_render, copy_depth_to_color,
copy_image, depth_buffer_float, depth_clamp, draw_texture, explicit_multisample,
fence, float_buffer, fog_distance, fragment_program, fragment_program2,
fragment_program_option, framebuffer_multisample_coverage, geometry_shader4,
gpu_program4, gpu_program4_1, gpu_program5, gpu_program5_mem_extended,
gpu_program_fp64, gpu_shader5, half_float, internalformat_sample_query,
light_max_exponent, multisample_coverage, multisample_filter_hint,
occlusion_query, packed_depth_stencil, parameter_buffer_object,
parameter_buffer_object2, path_rendering, pixel_data_range, point_sprite,
primitive_restart, register_combiners, register_combiners2,
shader_atomic_counters, shader_atomic_float, shader_buffer_load,
shader_storage_buffer_object, shader_thread_group, shader_thread_shuffle,
texgen_reflection, texture_barrier, texture_compression_vtc,
texture_env_combine4, texture_multisample, texture_rectangle, texture_shader,
texture_shader2, texture_shader3, transform_feedback, transform_feedback2,
uniform_buffer_unified_memory, vdpau_interop, vertex_array_range,
vertex_array_range2, vertex_attrib_integer_64bit, vertex_buffer_unified_memory,
vertex_program, vertex_programi_1, vertex_program2, vertex_program2_option,
vertex_program3

A NVX extensions:

conditional_render, gpu_memory_info, nvenc_interop

A . 83 extensions:

s3tc

A:  SGIS extensions:

generate_mipmap, texture_lod

A :  SGIX extensions:

depth_texture, shadow

A SUN extensions:

slice_accum

A : Extensions (GLX):

A:  GLX extensions:

ARB_context_flush_control, ARB_create_context, ARB_create_context_profile,
ARB_create_context_robustness, ARB_fbconfig_float, ARB_get_proc_address,
ARB_multisample, EXT_buffer_age, EXT_create_context_es2_profile,
EXT_create_context_es_profile, EXT_framebuffer_sRGB, EXT_stereo_tree,
EXT_swap_control, EXT_swap_control_tear, EXT_texture_from_pixmap,
EXT_visual_info, EXT_visual_rating, NV_copy_image, NV_delay_before_swap,
NV_float_buffer, NV_multisample_coverage, SGIX_fbconfig, SGIX_pbuffer,
SGI_swap_control, SGI_video_sync

Audio configuration:

Music: SDLMixer::Music

SFX: SDLMixer

libpng warning: iCCP: Not recognizing known sRGB profile that has been edited
libpng warning: iCCP: Not recognizing known sRGB profile that has been edited
libpng warning: iCCP: Not recognizing known sRGB profile that has been edited
libpng warning: iCCP: Not recognizing known sRGB profile that has been edited

The output continues once the doomsday window looses focus

Associated revisions

Revision 8ac12bf1 - 2015-03-01 18:49 - skyjake

Fixed|X11|Canvas: Window refresh does not start properly

A paint event needs to be completed before another refresh is scheduled.
With the resize timer preventing painting, window redrawing did not get
started normally.

IssuelD #1985

2025-04-03 3/4




Revision 94438568 - 2015-03-01 18:52 - skyjake

Fixed|X11|Canvas: Window refresh does not start properly

A paint event needs to be completed before another refresh is scheduled.

With the resize timer preventing painting, window redrawing did not get
started normally.

IssuelD #1985

History

#1 - 2015-02-28 01:11 - toxicshadow
Additional: | am using Fedora 21 with the Nvidia 346.35 driver

#2 - 2015-02-28 07:29 - skyjake

- Tags set to X11, OpenGL, WindowManager
- Category set to Regression

- Status changed from New to In Progress

- Assignee set to skyjake

- Target version set to 49

#3 - 2015-02-28 07:30 - skyjake

| have seen something similar recently. I'll investigate...

#4 - 2015-03-01 18:49 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#5 - 2015-03-01 19:32 - skyjake

- Status changed from Resolved to Closed

#6 - 2015-03-02 22:07 - toxicshadow

Confirmed that the issue is now fixed.

Thanks

#7 - 2015-06-08 10:48 - skyjake
- Target version deleted (49)
